<?php

/* Disallow direct access */
if ( ! defined( 'ABSPATH' ) ) exit;

/*
 * If the current post is protected by a password and
 * the visitor has not yet entered the password we will
 * return early without loading the comments.
 */
if ( post_password_required() ) return;

?>

<div id="comments" class="comments-area">

	<?php if ( have_comments() ) : ?>
    
		<h2 class="comments-title">
			<?php
				printf(
				    _n(
				        '%s comment on',
				        '%s comments on',
				        get_comments_number(),
				        'v12'
				    ),
				    number_format_i18n( get_comments_number() )
				);
				printf(
					' &ldquo;%1$s&rdquo;',
					get_the_title()
				);
			?>
		</h2>

		<?php the_comments_navigation(); ?>

		<ol class="comment-list">
			<?php
				wp_list_comments( array(
					'style'       => 'ol',
					'short_ping'  => true,
					'avatar_size' => 32,
				) );
			?>
		</ol><!-- .comment-list -->

		<?php the_comments_navigation(); ?>

	<?php endif; // Check for have_comments(). ?>

	<?php
		// If comments are closed and there are comments, let's leave a little note, shall we?
		if ( ! comments_open() && get_comments_number() && post_type_supports( get_post_type(), 'comments' ) ) :
	?>
		<p class="no-comments"><?php esc_html_e('Comments are closed.', 'v12'); ?></p>
	<?php endif; ?>

	<?php
		comment_form( array(
			'title_reply_before' => '<h2 id="reply-title" class="comment-reply-title">',
			'title_reply_after'  => '</h2>',
			'class_submit'      => 'v12-btn v12-btn-yellow'
		) );
	?>

</div><!-- .comments-area -->