<?php 

/* Disallow direct access */
if ( ! defined( 'ABSPATH' ) ) exit;

// Sanitization for select and radio
function v12_sanitize_choices( $input, $setting ) {
    $input = sanitize_key( $input );
    $choices = $setting->manager->get_control( $setting->id )->choices;
    return ( array_key_exists( $input, $choices ) ? $input : $setting->default );
}

// Sanitize integers
function v12_sanitize_int( $number, $setting ) {
    $number = absint( $number );
    return ( $number ? $number : $setting->default );
}

// Sanitize HTML
function v12_sanitize_html( $html ) {
    return wp_filter_post_kses( $html );( $html );
}

// Sanitize HEX Color
function v12_sanitize_hex_color( $hex_color ) {
    return sanitize_hex_color( $hex_color );
}