<?php 

/* Disallow direct access */
if ( ! defined( 'ABSPATH' ) ) exit;

    // Width
    $wp_customize->add_setting( 'single_width', array(
        'default' => $defaults['single_width'],
        'transport' => 'postMessage',
        'sanitize_callback' => 'v12_sanitize_choices'
    ) );
    
    $wp_customize->add_control( 'single_width', array(
        'type' => 'select',
        'label' => __( 'Width', 'v12' ),
        'section' => 'single',
        'choices' => array(
            'container-fluid' => __( 'Full', 'v12' ),
            'container' => __( 'Boxed', 'v12' )
        ),
        'priority' => 10
    ) );
        
    // Layout
    $wp_customize->add_setting( 'single_layout', array(
        'default' => $defaults['single_layout'],
        'sanitize_callback' => 'v12_sanitize_choices'
    ) );
    
    $wp_customize->add_control( 'single_layout', array(
        'type' => 'select',
        'label' => __( 'Layout', 'v12' ),
        'section' => 'single',
        'choices' => array(
            'right-sidebar' => __( 'Right Sidebar', 'v12' ),
            'left-sidebar' => __( 'Left Sidebar', 'v12' ),
            'no-sidebars' => __( 'No Sidebars', 'v12' )
        ),
        'priority' => 20
    ) );
    
    
    // Featured Image
    $wp_customize->add_setting( 'single_image', array(
        'default' => $defaults['single_image'],
        'sanitize_callback' => 'v12_sanitize_choices'
    ) );
    
    $wp_customize->add_control( 'single_image', array(
        'type' => 'select',
        'label' => __( 'Featured Image', 'v12' ),
        'section' => 'single',
        'choices' => array(
            'show' => __( 'Show', 'v12' ),
            'hide' => __( 'Hide', 'v12' )
        ),
        'priority' => 50
    ) );
    
    // Featured Image Position
    $wp_customize->add_setting( 'single_image_position', array(
        'default' => $defaults['single_image_position'],
        'sanitize_callback' => 'v12_sanitize_choices'
    ) );
    
    $wp_customize->add_control( 'single_image_position', array(
        'type' => 'select',
        'label' => __( 'Featured Image Position', 'v12' ),
        'section' => 'single',
        'choices' => array(
            'top' => __( 'Top', 'v12' ),
            'under_title' => __( 'Under Post Title', 'v12' )
        ),
        'priority' => 60
    ) );