<?php 

/* Disallow direct access */
if ( ! defined( 'ABSPATH' ) ) exit;


/* Default Customizer Options */
function v12_defaults() {
    require( V12_INCLUDES_DIR . '/defaults.php' );
    return apply_filters( 'v12_defaults', $defaults );
}

/* Customizer options wrapper function */
function v12_get_option( $option ) {
    $get_defaults = v12_defaults();
    $default = isset( $get_defaults[ $option ] ) ? $get_defaults[ $option ] : false;
    return get_theme_mod( $option, $default );
}

/* Shorter verson of getting option, auto prefixed based on browsed page */
function v12_option( $option, $section = false ) {
    
    if ( $section ) {
        $option_prefix = $section . '_';
    } elseif( is_home() ) {
        $option_prefix = 'blog_';
    } elseif ( is_page() ) {
        $option_prefix = 'pages_';
    } elseif ( is_single() ) {
        $option_prefix = 'single_';
    }  else {
        $option_prefix = 'archives_';
    }
    
    return v12_get_option( $option_prefix . $option );
}