<?php 

/* Disallow direct access */
if ( ! defined( 'ABSPATH' ) ) exit;

get_header(); ?>

    <div id="main-container" class="<?php echo esc_attr( v12_option('width') ); ?>">
        <div class="row">
            <?php if( v12_option('layout') == 'left-sidebar') get_sidebar(); ?>
            <div class="<?php if( v12_option('layout') == 'no-sidebars') { echo 'col-md-12'; } else { echo 'col-md-9'; } ?>">
                <header class="page-header">
                    <h1 class="page-title"><?php printf( esc_html__('Search Results for', 'v12').' &ldquo;%s&rdquo;', '<span>' . get_search_query() . '</span>' ); ?></h1>
                </header>
                <?php 
                    if(have_posts()) : while(have_posts()) : the_post();
              	        get_template_part( 'template-parts/content', get_post_format() );
                    endwhile;
                        get_template_part( 'template-parts/posts-navigation' );
                    else :
                ?>
                    <div class="page-content">
                        <p><?php esc_html_e('It seems we can&rsquo;t find what you&rsquo;re looking for. Perhaps searching can help.', 'v12'); ?></p>
                    	<?php get_search_form(); ?>
                    </div>
                <?php
                    endif; 
                ?>
            </div>
            <?php if( v12_option('layout') == 'right-sidebar') get_sidebar(); ?>
        </div>
    </div><!-- #main-container -->
    
<?php get_footer(); ?>